# coding=UTF-8
import os
import pandas as pd
import sys

def main(inSeqFile):
    #inSeqFile = sys.argv[1]
    work_path = os.path.dirname(inSeqFile)
    prefix_name = work_path + "/" + os.path.basename(inSeqFile).split('.')[0]
    
    outfile1 =  prefix_name+'_NV.csv'
    os.system('python ./PythonScripts/NV.py -i '+inSeqFile+ ' -o ' + outfile1)

    outfile2 = prefix_name+'_CTD.csv'
    os.system('python ./PythonScripts/CTD.py ' + inSeqFile)

    outfile3 = prefix_name + '_gap.csv' 
    os.system('python ./PythonScripts/g-gap.py -g 1 -i '+ inSeqFile + ' -o ' + outfile3)

    #将特征文件进行合并
    df1 = pd.read_csv(outfile1,header = 0)
    df2 = pd.read_csv(outfile2,header = 0)
    df3 = pd.read_csv(outfile3,header = 0).iloc[:,1:]
    dataset = pd.concat([df1,df2,df3],axis=1)
    outfile_archaea = prefix_name+'_archaea.csv'
    dataset.to_csv(outfile_archaea,index=False)
    
    if os.path.exists(outfile_archaea):
        os.remove(outfile1)
        os.remove(outfile2)
        os.remove(outfile3)
    else:
        pass
